libraries/haskeline_dist-install_VERSION = 0.7.4.3
libraries/haskeline_dist-install_COMPONENT_ID = haskeline-0.7.4.3
libraries/haskeline_dist-install_MODULES = System.Console.Haskeline System.Console.Haskeline.Completion System.Console.Haskeline.MonadException System.Console.Haskeline.History System.Console.Haskeline.IO System.Console.Haskeline.Backend System.Console.Haskeline.Backend.WCWidth System.Console.Haskeline.Command System.Console.Haskeline.Command.Completion System.Console.Haskeline.Command.History System.Console.Haskeline.Command.KillRing System.Console.Haskeline.Directory System.Console.Haskeline.Emacs System.Console.Haskeline.InputT System.Console.Haskeline.Key System.Console.Haskeline.LineState System.Console.Haskeline.Monads System.Console.Haskeline.Prefs System.Console.Haskeline.Recover System.Console.Haskeline.RunCommand System.Console.Haskeline.Term System.Console.Haskeline.Command.Undo System.Console.Haskeline.Vi System.Console.Haskeline.Backend.Posix System.Console.Haskeline.Backend.Posix.Encoder System.Console.Haskeline.Backend.DumbTerm System.Console.Haskeline.Backend.Terminfo
libraries/haskeline_dist-install_HIDDEN_MODULES = System.Console.Haskeline.Backend System.Console.Haskeline.Backend.WCWidth System.Console.Haskeline.Command System.Console.Haskeline.Command.Completion System.Console.Haskeline.Command.History System.Console.Haskeline.Command.KillRing System.Console.Haskeline.Directory System.Console.Haskeline.Emacs System.Console.Haskeline.InputT System.Console.Haskeline.Key System.Console.Haskeline.LineState System.Console.Haskeline.Monads System.Console.Haskeline.Prefs System.Console.Haskeline.Recover System.Console.Haskeline.RunCommand System.Console.Haskeline.Term System.Console.Haskeline.Command.Undo System.Console.Haskeline.Vi System.Console.Haskeline.Backend.Posix System.Console.Haskeline.Backend.Posix.Encoder System.Console.Haskeline.Backend.DumbTerm System.Console.Haskeline.Backend.Terminfo
libraries/haskeline_dist-install_SYNOPSIS =A command-line interface for user input, written in Haskell.
libraries/haskeline_dist-install_HS_SRC_DIRS = .
libraries/haskeline_dist-install_DEPS = base-4.12.0.0 bytestring-0.10.8.2 containers-0.6.0.1 directory-1.3.3.0 filepath-1.4.2.1 process-1.6.3.0 stm-2.5.0.0 terminfo-0.4.1.2 transformers-0.5.5.0 unix-2.7.2.2
libraries/haskeline_dist-install_DEP_IPIDS = base-4.12.0.0 bytestring-0.10.8.2 containers-0.6.0.1 directory-1.3.3.0 filepath-1.4.2.1 process-1.6.3.0 stm-2.5.0.0 terminfo-0.4.1.2 transformers-0.5.5.0 unix-2.7.2.2
libraries/haskeline_dist-install_DEP_NAMES = base bytestring containers directory filepath process stm terminfo transformers unix
libraries/haskeline_dist-install_DEP_COMPONENT_IDS = base-4.12.0.0 bytestring-0.10.8.2 containers-0.6.0.1 directory-1.3.3.0 filepath-1.4.2.1 process-1.6.3.0 stm-2.5.0.0 terminfo-0.4.1.2 transformers-0.5.5.0 unix-2.7.2.2
libraries/haskeline_dist-install_TRANSITIVE_DEP_NAMES = transformers terminfo stm process directory unix time filepath containers bytestring deepseq array base integer-gmp ghc-prim rts
libraries/haskeline_dist-install_TRANSITIVE_DEP_COMPONENT_IDS = transformers-0.5.5.0 terminfo-0.4.1.2 stm-2.5.0.0 process-1.6.3.0 directory-1.3.3.0 unix-2.7.2.2 time-1.8.0.2 filepath-1.4.2.1 containers-0.6.0.1 bytestring-0.10.8.2 deepseq-1.4.4.0 array-0.5.3.0 base-4.12.0.0 integer-gmp-1.0.2.0 ghc-prim-0.5.3 rts
libraries/haskeline_dist-install_INCLUDE_DIRS = includes dist-install/build/includes
libraries/haskeline_dist-install_INCLUDES = 
libraries/haskeline_dist-install_INSTALL_INCLUDES = 
libraries/haskeline_dist-install_EXTRA_LIBRARIES = 
libraries/haskeline_dist-install_EXTRA_LIBDIRS = 
libraries/haskeline_dist-install_S_SRCS = 
libraries/haskeline_dist-install_C_SRCS  = cbits/h_wcwidth.c
libraries/haskeline_dist-install_CMM_SRCS = 
libraries/haskeline_dist-install_DATA_FILES = 
libraries/haskeline_dist-install_HC_OPTS = -Wall -XHaskell98 -XForeignFunctionInterface -XRank2Types -XFlexibleInstances -XTypeSynonymInstances -XFlexibleContexts -XExistentialQuantification -XScopedTypeVariables -XGeneralizedNewtypeDeriving -XStandaloneDeriving -XMultiParamTypeClasses -XOverlappingInstances -XUndecidableInstances -XCPP -XDeriveDataTypeable -XPatternGuards
libraries/haskeline_dist-install_CC_OPTS = 
libraries/haskeline_dist-install_CPP_OPTS = -DTERMINFO
libraries/haskeline_dist-install_LD_OPTS = 
libraries/haskeline_dist-install_DEP_INCLUDE_DIRS_SINGLE_QUOTED = '/home/jerry/.work/ghc-8.6.3/libraries/process/include' '/home/jerry/.work/ghc-8.6.3/libraries/process/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/process/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/process/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/directory/.' '/home/jerry/.work/ghc-8.6.3/libraries/directory/dist-install/build/.' '/home/jerry/.work/ghc-8.6.3/libraries/unix/include' '/home/jerry/.work/ghc-8.6.3/libraries/unix/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/unix/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/unix/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/time/lib/include' '/home/jerry/.work/ghc-8.6.3/libraries/time/lib/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/time/dist-install/build/lib/include' '/home/jerry/.work/ghc-8.6.3/libraries/time/dist-install/build/lib/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/containers/include' '/home/jerry/.work/ghc-8.6.3/libraries/containers/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/containers/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/containers/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/bytestring/include' '/home/jerry/.work/ghc-8.6.3/libraries/bytestring/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/bytestring/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/bytestring/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/base/include' '/home/jerry/.work/ghc-8.6.3/libraries/base/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/base/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/base/dist-install/build/dist-install/build/include' '/home/jerry/.opt/ghc-8.6.3/lib/gmp-6.1.1/include' '/home/jerry/.opt/ghc-8.6.3/lib/gmp-6.1.1/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build/dist-install/build/include' '/home/jerry/.work/ghc-8.6.3/rts/dist/build' '/home/jerry/.work/ghc-8.6.3/includes' '/home/jerry/.work/ghc-8.6.3/includes/dist-derivedconstants/header'
libraries/haskeline_dist-install_DEP_CC_OPTS = 
libraries/haskeline_dist-install_DEP_LIB_DIRS_SEARCHPATH = /home/jerry/.work/ghc-8.6.3/libraries/transformers/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/terminfo/dist-install/build:/home/jerry/.opt/ghc-8.6.3/lib/ncurses-6.0/lib:/home/jerry/.work/ghc-8.6.3/libraries/stm/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/process/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/directory/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/unix/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/time/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/filepath/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/containers/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/bytestring/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/deepseq/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/array/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/base/dist-install/build:/home/jerry/.work/ghc-8.6.3/libraries/integer-gmp/dist-install/build:/home/jerry/.opt/ghc-8.6.3/lib/gmp-6.1.1/lib:/home/jerry/.work/ghc-8.6.3/libraries/ghc-prim/dist-install/build:/home/jerry/.work/ghc-8.6.3/rts/dist/build
libraries/haskeline_dist-install_DEP_LIB_REL_DIRS = libraries/transformers/dist-install/build libraries/terminfo/dist-install/build libraries/stm/dist-install/build libraries/process/dist-install/build libraries/directory/dist-install/build libraries/unix/dist-install/build libraries/time/dist-install/build libraries/filepath/dist-install/build libraries/containers/dist-install/build libraries/bytestring/dist-install/build libraries/deepseq/dist-install/build libraries/array/dist-install/build libraries/base/dist-install/build libraries/integer-gmp/dist-install/build libraries/ghc-prim/dist-install/build rts/dist/build
libraries/haskeline_dist-install_DEP_LIB_REL_DIRS_SEARCHPATH = libraries/transformers/dist-install/build:libraries/terminfo/dist-install/build:libraries/stm/dist-install/build:libraries/process/dist-install/build:libraries/directory/dist-install/build:libraries/unix/dist-install/build:libraries/time/dist-install/build:libraries/filepath/dist-install/build:libraries/containers/dist-install/build:libraries/bytestring/dist-install/build:libraries/deepseq/dist-install/build:libraries/array/dist-install/build:libraries/base/dist-install/build:libraries/integer-gmp/dist-install/build:libraries/ghc-prim/dist-install/build:rts/dist/build
libraries/haskeline_dist-install_DEP_LD_OPTS = 
libraries/haskeline_dist-install_BUILD_GHCI_LIB = YES

$(eval $(libraries/haskeline_PACKAGE_MAGIC))
